package cn.ibizlab.r7.runtime.runtimemgr.r7rt_base.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 应用实体[用户角色]
 */
public class UserRole implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 备注
     */
    private String memo;

    @JsonIgnore
    private boolean memoDirtyFlag;
    
    /**
     * 用户角色标识
     */
    private String userRoleId;

    @JsonIgnore
    private boolean userRoleIdDirtyFlag;
    
    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    private boolean updateManDirtyFlag;
    
    /**
     * 数据来源
     */
    private String dataSourceType;

    @JsonIgnore
    private boolean dataSourceTypeDirtyFlag;
    
    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    private boolean createManDirtyFlag;
    
    /**
     * 用户角色名称
     */
    private String userRoleName;

    @JsonIgnore
    private boolean userRoleNameDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    private boolean createDateDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    private boolean updateDateDirtyFlag;
    
    /**
     * 是否启用
     */
    private Integer enable;

    @JsonIgnore
    private boolean enableDirtyFlag;
    
    /**
     * 用户角色类型
     */
    private String userRoleType;

    @JsonIgnore
    private boolean userRoleTypeDirtyFlag;
    
    /**
     * 系统名称
     */
    private String systemName;

    @JsonIgnore
    private boolean systemNameDirtyFlag;
    
    /**
     * 业务系统标识
     */
    private String systemId;

    @JsonIgnore
    private boolean systemIdDirtyFlag;
    

    /**
     * 获取 [备注]
     */
    @JsonProperty("memo")
    public String getMemo(){
        return this.memo ;
    }

    /**
     * 设置 [备注]
     */
    @JsonProperty("memo")
    public void setMemo(String  memo){
        this.memo = memo ;
        this.memoDirtyFlag = true ;
    }

    /**
     * 获取 [备注]脏标记
     */
    @JsonIgnore
    public boolean getMemoDirtyFlag(){
        return this.memoDirtyFlag ;
    }

    /**
     * 获取 [用户角色标识]
     */
    @JsonProperty("userroleid")
    public String getUserRoleId(){
        return this.userRoleId ;
    }

    /**
     * 设置 [用户角色标识]
     */
    @JsonProperty("userroleid")
    public void setUserRoleId(String  userRoleId){
        this.userRoleId = userRoleId ;
        this.userRoleIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色标识]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleIdDirtyFlag(){
        return this.userRoleIdDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }

    /**
     * 获取 [数据来源]
     */
    @JsonProperty("datasourcetype")
    public String getDataSourceType(){
        return this.dataSourceType ;
    }

    /**
     * 设置 [数据来源]
     */
    @JsonProperty("datasourcetype")
    public void setDataSourceType(String  dataSourceType){
        this.dataSourceType = dataSourceType ;
        this.dataSourceTypeDirtyFlag = true ;
    }

    /**
     * 获取 [数据来源]脏标记
     */
    @JsonIgnore
    public boolean getDataSourceTypeDirtyFlag(){
        return this.dataSourceTypeDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }

    /**
     * 获取 [用户角色名称]
     */
    @JsonProperty("userrolename")
    public String getUserRoleName(){
        return this.userRoleName ;
    }

    /**
     * 设置 [用户角色名称]
     */
    @JsonProperty("userrolename")
    public void setUserRoleName(String  userRoleName){
        this.userRoleName = userRoleName ;
        this.userRoleNameDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色名称]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleNameDirtyFlag(){
        return this.userRoleNameDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }

    /**
     * 获取 [用户角色类型]
     */
    @JsonProperty("userroletype")
    public String getUserRoleType(){
        return this.userRoleType ;
    }

    /**
     * 设置 [用户角色类型]
     */
    @JsonProperty("userroletype")
    public void setUserRoleType(String  userRoleType){
        this.userRoleType = userRoleType ;
        this.userRoleTypeDirtyFlag = true ;
    }

    /**
     * 获取 [用户角色类型]脏标记
     */
    @JsonIgnore
    public boolean getUserRoleTypeDirtyFlag(){
        return this.userRoleTypeDirtyFlag ;
    }

    /**
     * 获取 [系统名称]
     */
    @JsonProperty("systemname")
    public String getSystemName(){
        return this.systemName ;
    }

    /**
     * 设置 [系统名称]
     */
    @JsonProperty("systemname")
    public void setSystemName(String  systemName){
        this.systemName = systemName ;
        this.systemNameDirtyFlag = true ;
    }

    /**
     * 获取 [系统名称]脏标记
     */
    @JsonIgnore
    public boolean getSystemNameDirtyFlag(){
        return this.systemNameDirtyFlag ;
    }

    /**
     * 获取 [业务系统标识]
     */
    @JsonProperty("systemid")
    public String getSystemId(){
        return this.systemId ;
    }

    /**
     * 设置 [业务系统标识]
     */
    @JsonProperty("systemid")
    public void setSystemId(String  systemId){
        this.systemId = systemId ;
        this.systemIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务系统标识]脏标记
     */
    @JsonIgnore
    public boolean getSystemIdDirtyFlag(){
        return this.systemIdDirtyFlag ;
    }



}
